/* ==================================================
   TOPS
================================================== */

/* Scroll-Wrapper */
.tops-scroll-wrapper {
  grid-column: 1 / -1;
  overflow-x: auto;
  overflow-y: hidden;
  margin-bottom: calc(-1 * var(--column-gap));
  -webkit-overflow-scrolling: touch; /* Safari: ermöglicht smooth scrollen */
  scrollbar-color: transparent transparent;
  transition: scrollbar-color var(--animation);
}

/* Beim Hover sichtbar */
.tops-scroll-wrapper:hover {
  scrollbar-color: var(--font-color-grey) var(--primary-color);
}

/* Firefox Scrollbar */
@supports (scrollbar-width: thin) {
  .tops-scroll-wrapper {
    padding-bottom: var(--column-gap);
    scrollbar-width: thin;
    height: min(
      calc((100vw - var(--scrollbar-width) - (var(--columns-on-desktop) + 1) * var(--column-gap))/ var(--columns-on-desktop)* var(--tile-aspect-ratio-big-reziproke)),
      var(--tile-height-big)
    );
  }
}

/* Webkit Scrollbar */
@supports selector(::-webkit-scrollbar) {
  .tops-scroll-wrapper {
    padding-bottom: 0;
    height: min(
      calc((100vw - var(--scrollbar-width) - (var(--columns-on-desktop) + 1) * var(--column-gap))
        / var(--columns-on-desktop)* var(--tile-aspect-ratio-big-reziproke) + var(--column-gap)),
      calc(var(--tile-height-big) + var(--column-gap))
    );
  }
}

.tops-scroll {
  display: inline-flex;
  gap: var(--column-gap);
  transition: transform var(--animation);
}

/* Hover Animation */
.tops-scroll-wrapper:hover .tops-scroll {
  animation: scroll-left-right 2s ease-in-out 1 alternate;
}

.tops-scroll-wrapper.is-playing .tops-scroll {
  animation: none;
}

@keyframes scroll-left-right {
  0%   { transform: translateX(0); }
  50%  { transform: translateX(-30px); }
  100% { transform: translateX(0); }
}


/* ==================================================
   TOPS PLAYER BUTTON
================================================== */

.tops-play-toggle {
  height: calc(var(--font-size-logo) * 1.1);
  padding: calc(var(--font-size-logo) * 0.4) 0 0 0;
  margin-left: calc(var(--column-gap)/2);
  background: transparent;
  border: none;
  cursor: pointer;

  display: inline-flex;
  align-items: center;
  justify-content: center;
}

.tops-play-icon {
  width: 0;
  height: 0;
  border-top: calc(var(--font-size-logo) * 0.305) solid transparent;
  border-bottom: calc(var(--font-size-logo) * 0.305) solid transparent;
  border-left: calc(var(--font-size-logo) * 0.489) solid var(--font-color-dark);
}

.tops-play-toggle.is-playing .tops-play-icon {
  width: 12px;
  height: calc(var(--font-size-logo) * 0.577);
  border: 0;
  position: relative;
}

.tops-play-toggle.is-playing .tops-play-icon::before,
.tops-play-toggle.is-playing .tops-play-icon::after {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  width: 4px;
  background: var(--font-color-dark);
}

.tops-play-toggle.is-playing .tops-play-icon::before { left: 0; }
.tops-play-toggle.is-playing .tops-play-icon::after  { right: 0; }

/* ==================================================
   THUMBNAILS
================================================== */
  .thumbnail.tile.small { 
    aspect-ratio: var(--tile-aspect-ratio-small);
    height: auto;
    min-height: auto;
  }
  .thumbnail.tile.large { 
    aspect-ratio: var(--tile-aspect-ratio-big);
    height: auto;
    min-height: auto;
  }

.tops-item {
  flex: 0 0 auto;
  width: var(--column-width);
}

.thumbnail {
  border: 1px solid var(--font-color-dark);
 box-sizing: border-box;
	overflow: hidden;
  transition: transform var(--animation);
}

.thumbnail:hover{
  transform: scale(0.98);
}

a .thumbnail img:hover{
  transform: none;
}

.thumbnail img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
  overflow: hidden;
}

.thumbnail a {
  position: relative;
  display: block;
  width: 100%;
  height: 100%;
	overflow: hidden;
}

.thumbnail-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(var(--font-color-grey-rgb), 0.8);
  display: flex;
  justify-content: center;
  opacity: 0;
  transition: opacity var(--animation);
}

.thumbnail:hover .thumbnail-overlay {
  opacity: 1;
}

.thumbnail-title {
  color: var(--primary-color);
  width: 100%;
  font-weight: 700;
  text-align: left;
  padding: 5px;
}

.thumbnail-fallback {
  background-color: var(--font-color-grey);
  width: 100%;
  height: 100%;
  display: block;
  position: relative;
}


/* ==================================================
   PROJEKT-INFOS & FILTER
================================================== */

.project-description{
	overflow: hidden;
	word-break: break-word;   /* Standard */
	padding-right: 2px;
}

.project-description-up {
  margin-bottom: var(--column-gap);
}

.project-description-up h3 {
  font-weight: 700;
  color: var(--font-color-grey);
}

.project-description-up h4,
.project-description-down {
  font-weight: 400;
  color: var(--font-color-dark);
}

.project-description-down p {
  margin: 0;
}

/* Andere inaktive Items nicht komplett ausblenden
.projekt-item {
    transition: all var(--animation);
    opacity: 1;
    transform: scale(1);
}

.projekt-item.hidden {
    opacity: 0.5;
    transform: scale(0.9);
    pointer-events: none; 
}
*/

.projekt-item {
    transition: transform var(--animation);
    transform: scale(1);
}

.projekt-item.hidden {
    transform: scale(0.9);
}

.mobile-projekt-filter {
  display: none;
}
.projekt-filter {
  display: flex;
  gap: var(--column-gap);
  cursor: pointer;
  color: var(--font-color-grey);
}

.projekt-filter span:hover,
.projekt-filter span.active {
  color: var(--font-color-dark);
}

.filter-btn {
  height: 31px;
  align-content: end;
  transition: color var(--animation);
}

.full-posts h2 {
  margin-bottom: var(--column-gap);
  font-size: calc(var(--font-size-logo) - 7px);
  font-weight: 700;
}



@media (max-width: 935px) {

/* Firefox Scrollbar */
@supports (scrollbar-width: thin) {
  .tops-scroll-wrapper {
    scrollbar-width: thin;
    height: min(
      calc((100vw - var(--scrollbar-width) - (var(--columns-on-medium) + 1) * var(--column-gap))/ var(--columns-on-medium)* var(--tile-aspect-ratio-big-reziproke)),
      var(--tile-height-big)
    );
  }
}

/* Webkit Scrollbar */
@supports selector(::-webkit-scrollbar) {
  .tops-scroll-wrapper {
    height: min(
      calc((100vw - var(--scrollbar-width) - (var(--columns-on-medium) + 1) * var(--column-gap))
        / var(--columns-on-medium)* var(--tile-aspect-ratio-big-reziproke) + var(--column-gap)),
      calc(var(--tile-height-big) + var(--column-gap))
    );
  }
}
}



@media (max-width: 768px) {
  .tops-item.tile.large {
    width: min(
      calc((100vw - var(--scrollbar-width) - (var(--columns-on-mobile) + 1) * var(--column-gap)) / var(--columns-on-mobile)),
      var(--column-width-on-mobile)
    );
  }

  @supports (-webkit-touch-callout: none) {
    .tops-item.tile.large {
      width: min(
        calc((100vw - (var(--columns-on-mobile) + 1) * var(--column-gap)) / var(--columns-on-mobile)),
        var(--column-width-on-mobile)
      );
    }
  }

  .project-description.tile.large {
    aspect-ratio: var(--tile-aspect-ratio-big);
    height: 100%;
    min-height: 100%;
  }

  .tops-scroll-wrapper {
    scrollbar-color: var(--font-color-grey) var(--primary-color);
  }

  /* Firefox Scrollbar */
  @supports (scrollbar-width: thin) {
    .tops-scroll-wrapper {
      height: min(
        calc((100vw - var(--scrollbar-width) - (var(--columns-on-mobile) + 1) * var(--column-gap)) / var(--columns-on-mobile) * var(--tile-aspect-ratio-big-reziproke)),
        var(--tile-height-big-on-mobile)
      );
    }
  }

  /* Webkit Scrollbar */
  @supports selector(::-webkit-scrollbar) {
    .tops-scroll-wrapper {
      height: min(
        calc((100vw - var(--scrollbar-width) - (var(--columns-on-mobile) + 1) * var(--column-gap)) / var(--columns-on-mobile) * var(--tile-aspect-ratio-big-reziproke) + var(--column-gap)),
        calc(var(--tile-height-big-on-mobile) + var(--column-gap))
      );
    }
  }


/* =========================
   MOBILE FILTER DROPDOWN
========================= */
.desktop-projekt-filter{
  display: none;
}

.projekt-archiv-title{
  margin-right: -10px;
}

.mobile-projekt-filter {
    position: relative;
    display: flex;
    align-items: start;
    justify-content: end;
    margin: 0;
}

.mobile-filter-toggle {
    height: 32px;
    display: flex;
    align-items: end;
    justify-content: end;
    gap: calc(var(--column-gap)/2);
    background-color: var(--primary-color);
    width: 100%;
    font-family: var(--font-regular);
    font-size: var(--font-size-text-on-mobile);
    color: var(--font-color-grey);
    cursor: pointer;
    border: none;
    margin: 0;
    padding: 0;
}

.mobile-filter-icon {
    display: inline-block;
    transform: rotate(0deg);
    transition: transform var(--animation);
}

.mobile-filter-toggle.active .mobile-filter-icon {
    transform: rotate(180deg); /* Pfeil nach oben bei geöffnetem Dropdown */
}

.mobile-filter-dropdown {
    display: none; /* versteckt standardmäßig */
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    background-color: var(--primary-color);
    border: 1px solid var(--font-color-dark);
    color: var(--font-color-grey);
    list-style: none;
    padding: 0;
    margin: 0;
    z-index: 100;
    height: calc(var(--tile-height-small) + var(--column-gap) + (min(calc((100vw - var(--scrollbar-width) - (var(--columns-on-mobile) + 1) * var(--column-gap)) / var(--columns-on-mobile) * var(--tile-aspect-ratio-big-reziproke)) , var(--tile-height-big-on-mobile))));
}

.mobile-filter-dropdown li {
    cursor: pointer;
    text-align: right;
    align-content: end;
    height: 32px;
    padding-right: calc(11px + var(--column-gap)/2);
    transition: color var(--animation);
}

.mobile-filter-dropdown li:hover {
    color: var(--font-color-dark);
}


}

@media (max-width: 333px) {
.projekt-archiv-title{
  white-space: normal;
}
}

@media (max-width: 270px) {
.mobile-filter-toggle{
        align-items:flex-start;
        justify-content: start;
}
.mobile-filter-dropdown li {
    text-align: left;
    align-content: start;
}

  .tops-item.tile.large{
    width: min(
      calc((100vw - var(--scrollbar-width) - (var(--columns-on-mini-mobile) + 1) * var(--column-gap)) / var(--columns-on-mini-mobile)), 
      var(--column-width-on-mobile));
  }
  
  .mobile-filter-dropdown {
    height: calc(var(--tile-height-small) + var(--column-gap) + (min(calc((100vw - var(--scrollbar-width) - (var(--columns-on-mini-mobile) + 1) * var(--column-gap)) / var(--columns-on-mini-mobile) * var(--tile-aspect-ratio-big-reziproke)) , var(--tile-height-big-on-mobile))));
}

    /* Firefox Scrollbar */
@supports (scrollbar-width: thin) {
  .tops-scroll-wrapper {
    height: min(calc((100vw - var(--scrollbar-width) - (var(--columns-on-mini-mobile) + 1) * var(--column-gap)) / var(--columns-on-mini-mobile) * var(--tile-aspect-ratio-big-reziproke)) , var(--tile-height-big-on-mobile));
  }
}

/* Webkit Scrollbar */
@supports selector(::-webkit-scrollbar) {
  .tops-scroll-wrapper {
    height: min(calc((100vw - var(--scrollbar-width) - (var(--columns-on-mini-mobile) + 1) * var(--column-gap)) / var(--columns-on-mini-mobile) * var(--tile-aspect-ratio-big-reziproke) + var(--column-gap)) , calc(var(--tile-height-big-on-mobile) + var(--column-gap)));
  }
}

}